/*general style*/
 {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}
body{
    background-color:black;
    margin: 0;
    padding: 0;
    color:white;
}
/*navbar*/
nav {
    background-color: black;
    color: #fff;
    padding:1rem 2rem;
    display:flex;
    justify-content:space-between;
    align-items:center;
}
nav h1{
    font-size: 1.5rem;
    letter-spacing: 1px;
}
nav ul{
    list-style: none;
    display: flex;
}
nav ul li{
    margin-left: 20px;
    display: flex;
    justify-content: space-between;
}
nav ul li a{
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}
nav ul li a:hover{
    text-decoration: underline;
}
/*dashboard card*/
.dashboard{
    max-width: 600px;
    background-color: rgba(137, 43, 226, 0.721);
    margin: 2rem auto;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
}
.balance{
    text-align: center;
}
.balance h2{
    font-size: 1.2rem;
    color: white;
}
.balance p{
    font-size: 2rem;
    font-weight: bold;
    margin-top: 10px;
    color: white;
}
.quick-action{
    margin-top: 2rem;
    display: flex;
    justify-content: space-around;
}
.quick-action button{
    background: plum;
    color: #fff;
    border: none;
    padding: 0.7rem 1.5rem;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    transition: 0.3s ease;
}
.quick-action button:hover{
    background-color: #fff;
    color: black;
}
.accounts{
    max-width:900px;
    margin: 2rem auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1.5rem;
    padding: 2rem;
}
.account-card{
    background:blueviolet;
    border-radius: 10px;
    padding: 1.5rem;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}
.account-card:hover {
    transform: translate(-5px);
}
.account-card h3{
    color: #fff;
    margin-bottom: 8px;
}
.account-card p{
    font-size: 1.1rem;
    margin-bottom: 10px;
}
.account-balance{
    font-size: 1.4rem;
    font-weight: bold;
    color: white;
}
/*transaction history*/
.transaction{
    max-width: 900px;
    margin: 2rem auto;
    background: blueviolet;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
}
.transaction h2{
    margin-bottom: 1rem;
    color: white;
    text-align: center;
}
table{
    width: 100%;
    border-collapse: collapse;
    margin-top: 1rem;
}

table th, table td{
    padding: 12px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}
table th{
    background: #f4f6;
    color: #fff;
}
table tr:hover{
    background: #f1f1f1;
    color:#333;
}
.credit{
    color: #27ae60;
    font-weight: bold;
}
.debit{
    color: red;
    font-weight: bold;

}
